Subject: Re: __ioremap_at() in 2.4.0-test9-pre2

From: David Edelsohn <[email-masked]>
Date: Wed, 20 Sep 2000 16:41:03 -0400

>>>>> Dan Malek writes:

Dan> None of the embedded PowerPCs use a hash table, and the Book E
Dan> processors don't either.  We avoid using the hash table when given
Dan> the option, like 603s.  The "hardware assist" and subsequent hash
Dan> table is a PITA for Linux VM, and Cort has documented the performance
Dan> benefits of not using it.

	Avoiding the hash table on PowerPC only is an advantage because
the PowerPC Linux kernel implements some "optimizations" which do not
match the PowerPC architecture very well.  Avoiding the hash tables
recovers some of the performance lost because of the earlier work, so it
is a relative benefit but not an absolute benefit over a better kernel
design.

David

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/